#@package: NeoDPClient NeoDPClient
#
# NeoSoft Internet-distributed-database client
#
# $Id: neodpClient.tcl,v 1.1.1.1 2000/04/20 13:16:01 damon Exp $
#
#

package require Itcl

itcl_class NeoDPClient  {

    method hello {} {
	dp_RPC $serverFP neodp_remote_hello
    }

    method attach_object {objType objName} {
	dp_RPC $serverFP neodp_remote_attach_object $objType $objName
    }

    method detach_object {objType objName} {
	dp_RPC $serverFP neodp_remote_detach_object $objType $objName
    }

    method connect {host port} {
	set serverFP [dp_MakeRPCClient $host $port]

	hello
    }

    protected serverFP
}
